	This note should accompany my port of umoria to the Atari ST. 
This is pretty much Jim Wilson's UNIX version 4.87, with various features
that didn't make sense on a single-user machine disabled.  In
particular, the saved character files may be copied freely.  When using
the print map command, you will notice that it prints a map to a file,
rather than showing one on screen.  That's the way this version is: just
like the VAX original. 

	I have played VAX and PC Moria A LOT, and can attest that this
port has no obvious bugs that appear at low or intermediate levels of
play.  I can also report that because the game was originally written in
Pascal, translated to C and worked on by many hands, there are many
obscure coding practices present.  I found (and promptly reported) 2
instances in which Mark Williams C 3.0.6 was unable to deal with the
code as written; there may be more. 

	The program file has been left with the name moria, largely to
emphasize that it should be run from a shell rather than from the
desktop.  If you wish to rename it moria.ttp, do it.  I personally have
only run it from the Mark Williams shell msh and a rather old version of
gulam.  There is a requirement that the Mark Williams library function
getenv() should find the variable 'SHELL' set to the full pathname of
the program to execute when the shell out command is given in the game. 
The only place I use that command is when viewing a dungeon map that was
previously printed to a file, so I might reasonably have given the msh
command : setenv SHELL=c:\util\less.ttp sometime before running moria. 
The corresponding gulam command would omit the equal sign.

	The running image of this version of moria seems to be larger
than 600 K, so 520 ST owners can't play it yet.  Some version of the
source modifications that were needed to make this version work should
be made publicly available soon, and perhaps someone would like to
remove chunks of code that are inappropriate for the ST (considerable)
and squeeze the air out of some data structures until it's less huge. 
It is a simple configuration option to reduce the size of the dungeon,
but I would consider that worse than a last resort. 

	This executable is a derivative of more than the moria source
and the Mark Williams C compiler.  It is linked with the ST curses
library written by Rene van't Veen, as modified by C. J. Purcell.  I
myself have kicked in a random number package entry-point-compatible
with drand48, but based on "An Efficient and Portable Pseudo-random
Number Generator", by B. A. Wichmann and I. D. Hill, published in
Applied Statistics, p 188ff of year 1982, as Algorithm AS 183.  Both are
used in accordance with the authors's instructions.

	The recommended configuration for this game is an Atari ST with
at least 1 M of memory, at least 700 K of accessible disk storage, a
command shell and a file browser.  The high score file and the hours
file should be in the default directory when the game is started.  The
startup commands are:
		moria		to begin a game with VAX-style commands
		moria -r	to begin a game with rogue-like commands
		moria -s	to view high scores file
		moria filename	to resume the game saved in file
				filename using VAX-style commands
		moria -r filename	to do the obvious.

	The wizard passwords are the traditional Gandalf and Mithrandir,
should you wish to play around in wizard mode: I don't, so no promises.


	I am Stephen Jacobs. I live at 730 N Hicks Rd. #400, Palatine IL
60067.  My home telephone number is (312)359-5561.  I am best contacted
as saj@chinet (chinet talks regularly to killer, oddjob, ulysses, nucsrl
and several other well-connected machines).  Another choice is to leave
me a message on the SCAT bbs, (312) 462-9844.  A few warnings: I know a
whole lot LESS about the game of moria and its inner workings than I do
about porting UNIX (tm) software to Mark Williams C on the ST.  I will
only US mail disks of moria-related materials to people who maintain
archives which I am able to access either directly from my home machine
or by usenet mail.  And I have scads of other hobbies, which I am
anxious to get back to....like PLAYING moria.   And by the way, if this
program eats your disk, your cpu and your dog, I'll be surprised, but
not responsible.  As for my employer... forget it.

	No money changes hands in connection with moria.  If you want to
help me be glad I did the port, please send me a picture postcard of
some sort at the above address.
